Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# CORBA_OctetSeq_var Class Reference

`#include <OctetSeqC.h>`

Collaboration diagram for CORBA_OctetSeq_var:

[legend]
List of all members.

## Public Methods
| CORBA_OctetSeq_var (void)
| CORBA_OctetSeq_var (CORBA_OctetSeq *)
| CORBA_OctetSeq_var (const CORBA_OctetSeq_var &)
| CORBA_OctetSeq_var (const CORBA_OctetSeq &)
| ~CORBA_OctetSeq_var (void)
CORBA_OctetSeq_var& | operator= (CORBA_OctetSeq *)
CORBA_OctetSeq_var& | operator= (const CORBA_OctetSeq_var &)
CORBA_OctetSeq_var& | operator= (const CORBA_OctetSeq &)
CORBA_OctetSeq* | operator-> (void)
const CORBA_OctetSeq* | operator-> (void) const
| operator const CORBA_OctetSeq & () const
| operator CORBA_OctetSeq & ()
| operator CORBA_OctetSeq & () const
CORBA::Octet& | operator[] (CORBA::ULong index)
const CORBA::Octet& | operator[] (CORBA::ULong index) const
const CORBA_OctetSeq& | in (void) const
CORBA_OctetSeq& | inout (void)
CORBA_OctetSeq*& | out (void)
CORBA_OctetSeq* | _retn (void)
CORBA_OctetSeq* | ptr (void) const
## Private Attributes
CORBA_OctetSeq* | ptr_

## Constructor & Destructor Documentation

ACE_INLINE CORBA_OctetSeq_var::CORBA_OctetSeq_var ( | void )

ACE_INLINE CORBA_OctetSeq_var::CORBA_OctetSeq_var ( | CORBA_OctetSeq * p )

CORBA_OctetSeq_var::CORBA_OctetSeq_var ( | const CORBA_OctetSeq_var & )

CORBA_OctetSeq_var::CORBA_OctetSeq_var ( | const CORBA_OctetSeq & )

ACE_INLINE CORBA_OctetSeq_var::~CORBA_OctetSeq_var ( | void )

## Member Function Documentation

ACE_INLINE::CORBA_OctetSeq * CORBA_OctetSeq_var::_retn ( | void )

ACE_INLINE const::CORBA_OctetSeq & CORBA_OctetSeq_var::in ( | void ) const

ACE_INLINE::CORBA_OctetSeq & CORBA_OctetSeq_var::inout ( | void )

CORBA_OctetSeq_var::operator CORBA_OctetSeq & ( | ) const

CORBA_OctetSeq_var::operator CORBA_OctetSeq & ( | )

CORBA_OctetSeq_var::operator const CORBA_OctetSeq & ( | ) const

ACE_INLINE const::CORBA_OctetSeq * CORBA_OctetSeq_var::operator-> ( | void ) const

ACE_INLINE::CORBA_OctetSeq * CORBA_OctetSeq_var::operator-> ( | void )

CORBA_OctetSeq_var& CORBA_OctetSeq_var::operator= ( | const CORBA_OctetSeq & )

CORBA_OctetSeq_var& CORBA_OctetSeq_var::operator= ( | const CORBA_OctetSeq_var & )

ACE_INLINE CORBA_OctetSeq_var & CORBA_OctetSeq_var::operator= ( | CORBA_OctetSeq * p )

ACE_INLINE const CORBA::Octet & CORBA_OctetSeq_var::operator[] ( | CORBA::ULong index ) const

ACE_INLINE CORBA::Octet & CORBA_OctetSeq_var::operator[] ( | CORBA::ULong index )

ACE_INLINE::CORBA_OctetSeq *& CORBA_OctetSeq_var::out ( | void )

ACE_INLINE::CORBA_OctetSeq * CORBA_OctetSeq_var::ptr ( | void ) const

## Member Data Documentation

CORBA_OctetSeq * CORBA_OctetSeq_var::ptr_`[private]`

The documentation for this class was generated from the following files:

- OctetSeqC.h
- OctetSeqC.i